﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApplication209.ViewModel;

namespace WpfApplication209
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void DragSource_DragStart(object sender, Infragistics.DragDrop.DragDropStartEventArgs e)
        {
            StackPanel sp = e.DragSource as StackPanel;
            e.Data = sp.DataContext;
        }

        private void DragSource_Drop(object sender, Infragistics.DragDrop.DropEventArgs e)
        {
             VM vm  =  Application.Current.Resources["vm"] as VM;

             StackPanel tsp = e.DropTarget as StackPanel;
             Person tp = tsp.DataContext as Person;

             ListBox lbtarget = Infragistics.Windows.Utilities.GetAncestorFromType(tsp,typeof(ListBox), false) as ListBox;
             ObservableCollection<Person> targetsource = lbtarget.ItemsSource as ObservableCollection<Person>;

             int index =  targetsource.IndexOf(tp);


             StackPanel ssp = e.DragSource as StackPanel;
             Person sp = ssp.DataContext as Person;
             ListBox lbsource = Infragistics.Windows.Utilities.GetAncestorFromType(ssp, typeof(ListBox), false) as ListBox;
             ObservableCollection<Person> ssource = lbsource.ItemsSource as ObservableCollection<Person>;
             ssource.Remove(sp);
             targetsource.Insert(index, sp);
                
          

        }

        private void DragSource_DragOver(object sender, Infragistics.DragDrop.DragDropMoveEventArgs e)
        {

        }
    }
}
